svg.placeholder {
  display: none !important;
}

div.product-gallery__media.snap-center:has(svg.placeholder) {
  display: none !important;
}
body[data-handle="sold-items"] .price,
body[data-handle="sold-items"] .product-card__price,
body[data-handle="sold-items"] [class*="price"] {
  display: none !important;
}